<?php
/**
 * @version    SVN: <svn_id>
 * @package    MyCampaigns
 * @author     Techjoomla <extensions@techjoomla.com>
 * @copyright  Copyright (c) 2009-2015 TechJoomla. All rights reserved.
 * @license    GNU General Public License version 2 or later.
 */

use CBLib\Language\CBTxt;

// Ensure this file is being included by a parent file
if (!(defined('_VALID_CB') || defined('_JEXEC') || defined('_VALID_MOS')))
{
	die('Direct Access to this location is not allowed.');
}

// Register custom functions
global $_CB_framework, $_PLUGINS;

if (!defined('DS'))
{
	define('DS', DIRECTORY_SEPARATOR);
}

$lang=JFactory::getLanguage();
$lang->load('com_jgive');

$helperPath=JPATH_SITE.DS.'components'.DS.'com_jgive'.DS.'helpers'.DS.'campaign.php';
if(!class_exists('campaignHelper'))
{
	JLoader::register('campaignHelper', $helperPath );
	JLoader::load('campaignHelper');
}

/**
 * Mutualfriends Tab Class
 *
 * @package  MyCampaigns
 *
 * @since    1.0
 */
class GetCampaignsTab extends cbTabHandler
{
	var $user	= null;

	/**
	 * Constructor
	 */
	public function __construct( )
	{
		$this->cbTabHandler();
	}

	function isOwner()
	{
		$my= JFactory::getUser();

		return $my->id=$this->user->id;
	}
	function getDisplayTab( $tab , $user , $ui )
	{
		$params=$this->params;
		$limit=$params->get('camp_limit','6');
		if(file_exists(JPATH_ROOT . DS . 'components' . DS . 'com_jgive' . DS . 'jgive.php'))
		{
			$db=JFactory::getDBO();
			$user_id = $user->id;

			//get campaigns data by profile user
			$query="SELECT c.*
			FROM #__jg_campaigns AS c
			WHERE c.published=1
			AND c.creator_id=".$user_id."
			LIMIT 0,".(int)$limit;//use count set in plugin
			$db->setQuery($query);
			$data=$db->loadObjectList();

			//set html
			ob_start();
			if($data)
			{
				//sscomponents/com_comprofiler/plugin/language/default_language
				//load css
				$document=JFactory::getDocument();
				//load component css
				$document->addStyleSheet(JURI::root().'components/com_jgive/assets/css/jgive.css');
				//load techjoomla bootstrapper

				/*include_once JPATH_ROOT.'/media/techjoomla_strapper/strapper.php';
				TjAkeebaStrapper::bootstrap();*/

				//load jgive front end helper
				$helperFrontPath=JPATH_SITE.DS."components".DS."com_jgive".DS."helper.php";

				if(!class_exists('jgiveFrontendHelper'))
				{
				  //require_once $path;
				   JLoader::register('jgiveFrontendHelper', $helperFrontPath );
				   JLoader::load('jgiveFrontendHelper');
				}

				$jgiveFrontendHelper=new jgiveFrontendHelper();
				//get items ids
				$this->singleCampaignItemid=$jgiveFrontendHelper->getItemId('index.php?option=com_jgive&view=campaigns&layout=all');
				$this->allCampaignsItemid=$jgiveFrontendHelper->getItemId('index.php?option=com_jgive&view=campaigns&layout=all');
				//use campaign helper
				$campaignHelper=new campaignHelper();
				$cdata=array();
				foreach($data as $d)//modifiy the data
				{
					//get campaign amounts
					$amounts=$campaignHelper->getCampaignAmounts($d->id);
					$d->amount_received=$amounts['amount_received'];
					$d->remaining_amount=$amounts['remaining_amount'];
					$d->donor_count=$campaignHelper->getCampaignDonorsCount($d->id);
					$cdata[$d->id]['campaign']=$d;//push modified data in cdata
					//get campaign images
					$cdata[$d->id]['images']=$campaignHelper->getCampaignImages($d->id);
				}
				//get currency from component config
				$jgive_params=JComponentHelper::getParams('com_jgive');
				$this->currency_code=$jgive_params->get('currency');
				?>

				<div class="techjoomla-bootstrap">
					<div class="row-fluid">
						<div class="span12">
							<ul class="thumbnails">
								<?php
								foreach($cdata as $c)
								{
									$data=$c['campaign'];
									$images=$c['images'];
								?>
								<li class="span3"  style="margin-left:1% !important;margin-top:3% !important;padding:4px;height:100% !important;">

									<div class="thumbnail mod_jgive_pin_layout_element" style=" padding:0px">
										<div style="padding:4px">
											<?php

												$path = 'images/jGive/';

												foreach($images as $img)
												{
													$fileParts = pathinfo($img->path);

													if(file_exists($path.$fileParts['basename'])) //if loop for old version compability (where img resize not available means no L , M ,S before image name)
													{
														$img_path = JUri::base().$path.$fileParts['basename'];
													}
													else
													{
														$img_path = JUri::base().$path.'M_'.$fileParts['basename'];
													}

													echo "<img class='' src='".$img_path."' style='width: 100%;height:150px;' />";
													break;

												}
											?>
										</div>
										<div class="caption">
											<div style="height:30px !important;font-weight:bold;">
												<a href="<?php echo JUri::root().substr(JRoute::_('index.php?option=com_jgive&view=campaign&layout=single&cid='.$data->id.'&Itemid='.$this->singleCampaignItemid),strlen(JURI::base(true))+1);?>">
											  <?php
												if(strlen($data->title)>=55)
													echo substr($data->title,0,55).'...';
												else
													echo $data->title;
												?>
											</a>
											</div>
											<div style="height:60px; margin-top:5%;">
												<?php
													if(strlen($data->short_description)>=50)
														echo substr($data->short_description,0,50).'...';
													else
														echo $data->short_description;
												?>
											</div>
											<div style="height:20px; margin-top:5%;">
												<i class="icon icon-map-marker"></i>
												<?php echo $data->city;  ?>, <?php echo $data->country;  ?>
											</div>
										</div>
										<div class="modal-footer" style="text-align: left">
											<?php
											//print_r($data);die;
											$donated_per= ($data->amount_received/$data->goal_amount)*100;
											$donated_per=number_format((float)$donated_per, 2, '.', '');
											?>
											<!--if added by Sneha, to check goal amount condition-->
											<?php if((isset($show_field) && $show_field==1) OR ((isset($data->goal_amount) ))): ?>
												<div style="padding:4px;"><b><?php echo $donated_per;?>%</b>&nbsp; <small class="mod_jgive_pin_layout_font_weight"><?php echo JText::_('PLG_CB_JGIVE_LAYOUT_FUNDED');?></small></div>

												<div class="progress progress-success progress-striped" style="background: #ddd;height: 6px;">
													<div class="bar" style="width: <?php echo $donated_per;?>%;">
													</div>
												</div>
											<?php endif; ?>
											<div class="row-fluid">
											<?php
											//calculate days left
												$date_expire=0;
												$curr_date=JFactory::getDate()->Format(JText::_('PLG_CB_JGIVE_DATE_FORMAT_JOOMLA3'));
												$end_date=JFactory::getDate($data->end_date)->Format(JText::_('PLG_CB_JGIVE_DATE_FORMAT_JOOMLA3'));

												if($curr_date>$end_date){
													$date_expire=1;
												}

												$time_curr_date=strtotime($curr_date);
												$time_end_date=strtotime($data->end_date);
												$interval = ($time_end_date-$time_curr_date);
												$days_left=floor($interval/(60*60*24));

												$lable= JText::_('PLG_CB_JGIVE_DAYS_LEFT');
												if((int)($time_curr_date) && (int)($time_end_date))
												{
													$days= JText::_('PLG_CB_JGIVE_DAYS_LEFT');
												}


												if($date_expire)
													$days= JText::_('PLG_CB_JGIVE_NA');
												else if((int)($time_curr_date) && (int)($time_end_date))
												{
													$days= $days_left>0 ?  $days_left: JText::_('PLG_CB_JGIVE_NA');
												}
											?>
												<div class="span6"><b><?php echo $days; ?>&nbsp;<?php echo JText::_('PLG_CB_JGIVE_LAYOUT_DAYS'); ?></b><br/><small class="mod_jgive_pin_layout_font_weight"><?php echo JText::_('PLG_CB_JGIVE_DAYS__REMAINING'); ?></small>
												</div>
												<div class="span6"><b><?php
													$jgiveFrontendHelper=new jgiveFrontendHelper();
													echo $diplay_amount_with_format=$jgiveFrontendHelper->getFormattedPrice($data->amount_received);
													?></b><br/><small class="mod_jgive_pin_layout_font_weight"><?php echo JText::_('PLG_CB_JGIVE_LAYOUT_RAISED'); ?> </small>
												</div>
											</div>
										</div>
									</div>
								</li>
								<?php
								} ?>
							</ul>
						</div>
					</div>
				</div>
			<?php
			}
			$html=ob_get_contents();
			ob_end_clean();
		}
		else
		{
			$html = JText::_('Campaigns');
		}
		return $html;
	}
}
