<?php
/**
 * @version    SVN: <svn_id>
 * @package    JGive
 * @author     Techjoomla <extensions@techjoomla.com>
 * @copyright  Copyright (c) 2009-2017 TechJoomla. All rights reserved.
 * @license    GNU General Public License version 2 or later.
 */

/**
 * Activityintegrationstream
 *
 * @package  JGive
 * @since    1.6.7
 */
class Activityintegrationstream
{
	/**
	 * Function to push like,Data And comment to Activity Stream
	 *
	 * @param   INT     $actor_id            actor_id
	 * @param   STRING  $act_type            act_type
	 * @param   STRING  $act_subtype         act_subtype
	 * @param   STRING  $act_description     act_description
	 * @param   STRING  $act_link            act_link
	 * @param   STRING  $act_title           act_title
	 * @param   INT     $act_access          act_access
	 * @param   INT     $integration_option  integration_option
	 *
	 * @return  true
	 */
	public function pushActivity (
		$actor_id, $act_type, $act_subtype, $act_description, $act_link, $act_title, $act_access, $integration_option)
	{
		$activityintegrationstream = new activityintegrationstream;

		if ($integration_option == 'joomla')
		{
			return true;
		}
		elseif ($integration_option == 'Community Builder')
		{
			$result = $activityintegrationstream->pushToCBActivity(
				$actor_id, $act_type, $act_subtype, $act_description, $act_link, $act_title, $act_access
			);

			if (!$result)
			{
			}
		}
		elseif ($integration_option == 'JomSocial')
		{
			$result = $activityintegrationstream->pushToJomsocialActivity(
				$actor_id, $act_type, $act_subtype, $act_description, $act_link, $act_title, $act_access
			);

			if (!$result)
			{
			}
		}
		elseif ($integration_option == 'Jomwall')
		{
			$result = $activityintegrationstream->pushToJomwallActivity(
				$actor_id, $act_type, $act_subtype, $act_description, $act_link, $act_title, $act_access
			);

			if (!$result)
			{
				return false;
			}
		}
		elseif ($integration_option == 'EasySocial')
		{
			$result = $activityintegrationstream->pushToEasySocialActivity(
				$actor_id, $act_type, $act_subtype, $act_description, $act_link, $act_title, $act_access
			);

			if (!$result)
			{
				return false;
			}
		}

		return true;
	}

	/**
	 * pushToCBActivity
	 *
	 * @param   INT     $actor_id         actor_id
	 * @param   STRING  $act_type         act_type
	 * @param   STRING  $act_subtype      act_subtype
	 * @param   STRING  $act_description  act_description
	 * @param   STRING  $act_link         act_link
	 * @param   STRING  $act_title        act_title
	 * @param   INT     $act_access       act_access
	 *
	 * @return  true
	 */
	public function pushToCBActivity($actor_id, $act_type, $act_subtype = '', $act_description = '', $act_link = '', $act_title = '', $act_access = '')
	{
		// Load CB framework
		global $_CB_framework, $mainframe;

		if (defined('JPATH_ADMINISTRATOR'))
		{
			if (!file_exists(JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php'))
			{
				echo 'CB not installed!';

				return false;
			}

			include_once JPATH_ADMINISTRATOR . '/components/com_comprofiler/plugin.foundation.php';
		}
		else
		{
			if (!file_exists($mainframe->getCfg('absolute_path') . '/administrator/components/com_comprofiler/plugin.foundation.php'))
			{
				echo 'CB not installed!';

				return false;
			}

			include_once $mainframe->getCfg('absolute_path') . '/administrator/components/com_comprofiler/plugin.foundation.php';
		}

		cbimport('cb.plugins');
		cbimport('cb.html');
		cbimport('cb.database');
		cbimport('language.front');
		cbimport('cb.snoopy');
		cbimport('cb.imgtoolbox');
		global $_CB_framework, $_CB_database, $ueConfig;

		// Load cb activity plugin class
		if (!file_exists(JPATH_SITE . "/components/com_comprofiler/plugin/user/plug_cbactivity/cbactivity.class.php"))
		{
			// Echo 'CB Activity plugin not installed!';
			return false;
		}

		require_once JPATH_SITE . "/components/com_comprofiler/plugin/user/plug_cbactivity/cbactivity.class.php";

		// Push activity
		$linkHTML = '<a href="' . $act_link . '">' . $act_title . '</a>';
		$activity = new cbactivityActivity($_CB_database);
		$activity->set('user_id', $actor_id);
		$activity->set('type', $act_type);
		$activity->set('subtype', $act_subtype);
		$activity->set('title', $act_description . ' ' . $linkHTML);
		$activity->set('icon', 'nameplate');
		$activity->set('date', cbactivityClass::getUTCDate());
		$activity->store();

		return true;
	}

	/**
	 * pushToJomsocialActivity
	 *
	 * @param   INT     $actor_id         actor_id
	 * @param   STRING  $act_type         act_type
	 * @param   STRING  $act_subtype      act_subtype
	 * @param   STRING  $act_description  act_description
	 * @param   STRING  $act_link         act_link
	 * @param   STRING  $act_title        act_title
	 * @param   INT     $act_access       act_access
	 *
	 * @return  true
	 */
	public function pushToJomsocialActivity(
		$actor_id, $act_type = '', $act_subtype = '', $act_description = '', $act_link = '', $act_title = '', $act_access = '')
	{
		/*load Jomsocial core*/
		$linkHTML = '';
		$jspath = JPATH_ROOT . '/components/com_community';

		if (file_exists($jspath))
		{
			include_once $jspath . '/libraries/core.php';
		}

		// Push activity
		if ($act_title and $act_link)
		{
			$linkHTML = '<a href="' . $act_link . '">' . $act_title . '</a>';
		}

		$act = new stdClass;
		$act->cmd = 'wall.write';
		$act->actor = $actor_id;
		$act->target = 0;
		$act->title = '{actor} ' . $act_description . ' ' . $linkHTML;
		$act->content = '';
		$act->app = 'wall';
		$act->cid = 0;
		$act->access = $act_access;
		CFactory::load('libraries', 'activities');

		if (defined('CActivities::COMMENT_SELF'))
		{
			$act->comment_id = CActivities::COMMENT_SELF;
			$act->comment_type = 'profile.location';
		}

		if (defined('CActivities::LIKE_SELF'))
		{
			$act->like_id = CActivities::LIKE_SELF;
			$act->like_type = 'profile.location';
		}

		$res = CActivityStream::add($act);

		return true;
	}

	/**
	 * pushToJomwallActivity
	 *
	 * @param   INT     $actor_id         actor_id
	 * @param   STRING  $act_type         act_type
	 * @param   STRING  $act_subtype      act_subtype
	 * @param   STRING  $act_description  act_description
	 * @param   STRING  $act_link         act_link
	 * @param   STRING  $act_title        act_title
	 * @param   INT     $act_access       act_access
	 *
	 * @return  true
	 */
	public function pushToJomwallActivity(
		$actor_id, $act_type, $act_subtype = '', $act_description = '', $act_link = '', $act_title = '', $act_access = '')
	{
		/*load jomwall core*/
		if (!class_exists('AwdwallHelperUser'))
		{
			require_once JPATH_SITE . '/components/com_awdwall/helpers/user.php';
		}

		$linkHTML = '<a href="' . $act_link . '">' . $act_title . '</a>';
		$comment = $act_description . ' ' . $linkHTML;
		$attachment = $act_link;
		$type = 'text';
		$imgpath = null;
		$params = array();
		AwdwallHelperUser::addtostream($comment, $attachment, $type, $actor_id, $imgpath, $params);

		return true;
	}

	/**
	 * pushToEasySocialActivity
	 *
	 * @param   INT     $actor_id         actor_id
	 * @param   STRING  $act_type         act_type
	 * @param   STRING  $act_subtype      act_subtype
	 * @param   STRING  $act_description  act_description
	 * @param   STRING  $act_link         act_link
	 * @param   STRING  $act_title        act_title
	 * @param   INT     $act_access       act_access
	 *
	 * @return  true
	 */
	public function pushToEasySocialActivity(
		$actor_id, $act_type, $act_subtype = '', $act_description = '', $act_link = '', $act_title = '', $act_access = '')
	{
		require_once JPATH_ROOT . '/administrator/components/com_easysocial/includes/foundry.php';

		if ($actor_id != 0)
		{
			$myUser = Foundry::user($actor_id);
		}

		$stream = Foundry::stream();
		$template = $stream->getTemplate();
		$template->setActor($actor_id, SOCIAL_TYPE_USER);
		$template->setContext($actor_id, SOCIAL_TYPE_USERS);
		$template->setVerb('invite');
		$template->setType(SOCIAL_STREAM_DISPLAY_MINI);

		if ($actor_id != 0)
		{
			$userProfileLink = '<a href="' . $myUser->getPermalink() . '">' . $myUser->getName() . '</a>';
			$title = ($userProfileLink . " " . $act_description);
		}
		else
		{
			$title = ("A guest " . $act_description);
		}

		$template->setTitle($title);
		$template->setAggregate(false);
		$template->setPublicStream('core.view');
		$stream->add($template);

		return true;
	}
}
