<?php
/**
 * @package     Techjoomla.Libraries
 * @subpackage  Tjmoney
 *
 * @author      Techjoomla <extensions@techjoomla.com>
 * @copyright   Copyright (C) 2009 - 2019 Techjoomla. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

/*Source of DecimalCurrencyName: https://blogs.sap.com/2012/09/21/currency-decimal-denomination-in-words/ */

return array(
  'AFN' =>
  array(
    'alphabeticCode' => 'AFN',
    'currency' => 'Afghani',
    'minorUnit' => 2,
    'numericCode' => 971,
    'symbol' => '؋',
    'decimal' => '.',
    'currencyName' => 'Afghani',
    'decimalCurrencyName' => 'Pul',
  ),
  'EUR' =>
  array(
    'alphabeticCode' => 'EUR',
    'currency' => 'Euro',
    'minorUnit' => 2,
    'numericCode' => 978,
    'symbol' => '€',
    'decimal' => ',',
    'currencyName' => 'Euro',
    'decimalCurrencyName' => 'Cent',
  ),
  'ALL' =>
  array(
    'alphabeticCode' => 'ALL',
    'currency' => 'Lek',
    'minorUnit' => 2,
    'numericCode' => 8,
    'symbol' => 'ALL',
    'decimal' => ',',
    'currencyName' => 'Lek',
    'decimalCurrencyName' => 'Qindarka',
  ),
  'DZD' =>
  array(
    'alphabeticCode' => 'DZD',
    'currency' => 'Algerian Dinar',
    'minorUnit' => 2,
    'numericCode' => 12,
    'symbol' => 'دج',
    'decimal' => ',',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Fils',
  ),
  'USD' =>
  array(
    'alphabeticCode' => 'USD',
    'currency' => 'US Dollar',
    'minorUnit' => 2,
    'numericCode' => 840,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'AOA' =>
  array(
    'alphabeticCode' => 'AOA',
    'currency' => 'Kwanza',
    'minorUnit' => 2,
    'numericCode' => 973,
    'symbol' => 'Kz',
    'decimal' => ',',
    'currencyName' => 'Kwanza',
    'decimalCurrencyName' => 'Cent',
  ),
  'XCD' =>
  array(
    'alphabeticCode' => 'XCD',
    'currency' => 'East Caribbean Dollar',
    'minorUnit' => 2,
    'numericCode' => 951,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'ARS' =>
  array(
    'alphabeticCode' => 'ARS',
    'currency' => 'Argentine Peso',
    'minorUnit' => 2,
    'numericCode' => 32,
    'symbol' => '$',
    'decimal' => ',',
    'currencyName' => 'Peso',
    'decimalCurrencyName' => 'Centavo',
  ),
  'AMD' =>
  array(
    'alphabeticCode' => 'AMD',
    'currency' => 'Armenian Dram',
    'minorUnit' => 2,
    'numericCode' => 51,
    'symbol' => 'դր',
    'decimal' => ',',
    'currencyName' => 'Dram',
    'decimalCurrencyName' => 'Luma',
  ),
  'AWG' =>
  array(
    'alphabeticCode' => 'AWG',
    'currency' => 'Aruban Florin',
    'minorUnit' => 2,
    'numericCode' => 533,
    'symbol' => 'Afl',
    'decimal' => '.',
    'currencyName' => 'Florin',
    'decimalCurrencyName' => '',
  ),
  'AUD' =>
  array(
    'alphabeticCode' => 'AUD',
    'currency' => 'Australian Dollar',
    'minorUnit' => 2,
    'numericCode' => 36,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'AZN' =>
  array(
    'alphabeticCode' => 'AZN',
    'currency' => 'Azerbaijan Manat',
    'minorUnit' => 2,
    'numericCode' => 944,
    'symbol' => '₼',
    'decimal' => ',',
    'currencyName' => 'Manat',
    'decimalCurrencyName' => 'Gopiks',
  ),
  'BSD' =>
  array(
    'alphabeticCode' => 'BSD',
    'currency' => 'Bahamian Dollar',
    'minorUnit' => 2,
    'numericCode' => 44,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'BHD' =>
  array(
    'alphabeticCode' => 'BHD',
    'currency' => 'Bahraini Dinar',
    'minorUnit' => 3,
    'numericCode' => 48,
    'symbol' => '‎د.ب',
    'decimal' => '.',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Fils',
  ),
  'BDT' =>
  array(
    'alphabeticCode' => 'BDT',
    'currency' => 'Taka',
    'minorUnit' => 2,
    'numericCode' => 50,
    'symbol' => '৳',
    'decimal' => '.',
    'currencyName' => 'Taka',
    'decimalCurrencyName' => 'Paisa',
  ),
  'BBD' =>
  array(
    'alphabeticCode' => 'BBD',
    'currency' => 'Barbados Dollar',
    'minorUnit' => 2,
    'numericCode' => 52,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'BYR' =>
  array(
    'alphabeticCode' => 'BYR',
    'currency' => 'Belarusian Ruble',
    'minorUnit' => 2,
    'numericCode' => 933,
    'symbol' => ' p',
    'decimal' => ',',
    'currencyName' => 'Ruble',
    'decimalCurrencyName' => 'Kapyeyka',
  ),
  'BZD' =>
  array(
    'alphabeticCode' => 'BZD',
    'currency' => 'Belize Dollar',
    'minorUnit' => 2,
    'numericCode' => 84,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'XOF' =>
  array(
    'alphabeticCode' => 'XOF',
    'currency' => 'CFA Franc BCEAO',
    'minorUnit' => 0,
    'numericCode' => 952,
    'symbol' => 'CFA',
    'decimal' => '.',
    'currencyName' => 'CFA Franc BCEAO',
    'decimalCurrencyName' => 'Centime',
  ),
  'BMD' =>
  array(
    'alphabeticCode' => 'BMD',
    'currency' => 'Bermudian Dollar',
    'minorUnit' => 2,
    'numericCode' => 60,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'INR' =>
  array(
    'alphabeticCode' => 'INR',
    'currency' => 'Indian Rupee',
    'minorUnit' => 2,
    'numericCode' => 356,
    'symbol' => '₹',
    'decimal' => '.',
    'currencyName' => 'Rupee',
    'decimalCurrencyName' => 'Paise'
  ),
  'BTN' =>
  array(
    'alphabeticCode' => 'BTN',
    'currency' => 'Ngultrum',
    'minorUnit' => 2,
    'numericCode' => 64,
    'symbol' => 'Nu',
    'decimal' => '.',
    'currencyName' => 'Ngultrum',
    'decimalCurrencyName' => 'Chetrum',
  ),
  'BOB' =>
  array(
    'alphabeticCode' => 'BOB',
    'currency' => 'Boliviano',
    'minorUnit' => 2,
    'numericCode' => 68,
    'symbol' => 'Bs',
    'decimal' => ',',
    'currencyName' => 'Boliviano',
    'decimalCurrencyName' => 'Centavo',
  ),
  'BOV' =>
  array(
    'alphabeticCode' => 'BOV',
    'currency' => 'Mvdol',
    'minorUnit' => 2,
    'numericCode' => 984,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Mvdol',
    'decimalCurrencyName' => 'Centavo',
  ),
  'BAM' =>
  array(
    'alphabeticCode' => 'BAM',
    'currency' => 'Convertible Mark',
    'minorUnit' => 2,
    'numericCode' => 977,
    'symbol' => 'KM',
    'decimal' => '.',
    'currencyName' => 'Convertible Mark',
    'decimalCurrencyName' => 'Fening',
  ),
  'BWP' =>
  array(
    'alphabeticCode' => 'BWP',
    'currency' => 'Pula',
    'minorUnit' => 2,
    'numericCode' => 72,
    'symbol' => 'P',
    'decimal' => '.',
    'currencyName' => 'Pula',
    'decimalCurrencyName' => 'Chetrum',
  ),
  'NOK' =>
  array(
    'alphabeticCode' => 'NOK',
    'currency' => 'Norwegian Krone',
    'minorUnit' => 2,
    'numericCode' => 578,
    'symbol' => 'kr',
    'decimal' => ',',
    'currencyName' => 'Krone',
    'decimalCurrencyName' => 'Ore',
  ),
  'BRL' =>
  array(
    'alphabeticCode' => 'BRL',
    'currency' => 'Brazilian Real',
    'minorUnit' => 2,
    'numericCode' => 986,
    'symbol' => 'R $',
    'decimal' => ',',
    'currencyName' => 'Brazilian Real',
    'decimalCurrencyName' => 'Centavo',
  ),
  'BND' =>
  array(
    'alphabeticCode' => 'BND',
    'currency' => 'Brunei Dollar',
    'minorUnit' => 2,
    'numericCode' => 96,
    'symbol' => '$ B',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'BGN' =>
  array(
    'alphabeticCode' => 'BGN',
    'currency' => 'Bulgarian Lev',
    'minorUnit' => 2,
    'numericCode' => 975,
    'symbol' => 'лв.',
    'decimal' => ',',
    'currencyName' => 'Lev',
    'decimalCurrencyName' => 'Stotinka',
  ),
  'BIF' =>
  array(
    'alphabeticCode' => 'BIF',
    'currency' => 'Burundi Franc',
    'minorUnit' => 0,
    'numericCode' => 108,
    'symbol' => 'FBu',
    'decimal' => '.',
    'currencyName' => 'Franc',
  ),
  'CVE' =>
  array(
    'alphabeticCode' => 'CVE',
    'currency' => 'Cabo Verde Escudo',
    'minorUnit' => 2,
    'numericCode' => 132,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Escudo',
    'decimalCurrencyName' => 'Centavo',
  ),
  'KHR' =>
  array(
    'alphabeticCode' => 'KHR',
    'currency' => 'Riel',
    'minorUnit' => 2,
    'numericCode' => 116,
    'symbol' => '៛',
    'decimal' => '.',
    'currencyName' => 'Riel',
    'decimalCurrencyName' => 'Sen',
  ),
  'XAF' =>
  array(
    'alphabeticCode' => 'XAF',
    'currency' => 'CFA Franc BEAC',
    'minorUnit' => 0,
    'numericCode' => 950,
    'symbol' => 'CFA',
    'decimal' => ',',
    'currencyName' => 'CFA Franc BEAC',
  ),
  'CAD' =>
  array(
    'alphabeticCode' => 'CAD',
    'currency' => 'Canadian Dollar',
    'minorUnit' => 2,
    'numericCode' => 124,
    'symbol' => '$',
    'decimal' => ',',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'KYD' =>
  array(
    'alphabeticCode' => 'KYD',
    'currency' => 'Cayman Islands Dollar',
    'minorUnit' => 2,
    'numericCode' => 136,
    'symbol' => 'CI $',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'CLP' =>
  array(
    'alphabeticCode' => 'CLP',
    'currency' => 'Chilean Peso',
    'minorUnit' => 0,
    'numericCode' => 152,
    'symbol' => '$',
    'decimal' => ',',
    'currencyName' => 'Peso',
  ),
  'CLF' =>
  array(
    'alphabeticCode' => 'CLF',
    'currency' => 'Unidad de Fomento',
    'minorUnit' => 4,
    'numericCode' => 990,
    'symbol' => 'UF',
    'decimal' => '.',
    'currencyName' => 'Unidad de Fomento',
    'decimalCurrencyName' => '',
  ),
  'CNY' =>
  array(
    'alphabeticCode' => 'CNY',
    'currency' => 'Yuan Renminbi',
    'minorUnit' => 2,
    'numericCode' => 156,
    'symbol' => '¥',
    'decimal' => '.',
    'currencyName' => 'Yuan Renminbi',
    'decimalCurrencyName' => 'fen',
  ),
  'COP' =>
  array(
    'alphabeticCode' => 'COP',
    'currency' => 'Colombian Peso',
    'minorUnit' => 2,
    'numericCode' => 170,
    'symbol' => '$',
    'decimal' => ',',
    'currencyName' => 'Peso',
    'decimalCurrencyName' => 'Centavo',
  ),
  'COU' =>
  array(
    'alphabeticCode' => 'COU',
    'currency' => 'Unidad de Valor Real',
    'minorUnit' => 2,
    'numericCode' => 970,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Unidad de Valor Real',
    'decimalCurrencyName' => 'Centavo',
  ),
  'KMF' =>
  array(
    'alphabeticCode' => 'KMF',
    'currency' => 'Comorian Franc ',
    'minorUnit' => 0,
    'numericCode' => 174,
    'symbol' => 'CF',
    'decimal' => '.',
    'currencyName' => 'Franc',
  ),
  'CDF' =>
  array(
    'alphabeticCode' => 'CDF',
    'currency' => 'Congolese Franc',
    'minorUnit' => 2,
    'numericCode' => 976,
    'symbol' => 'FC',
    'decimal' => '.',
    'currencyName' => 'Franc',
    'decimalCurrencyName' => 'Centime',
  ),
  'NZD' =>
  array(
    'alphabeticCode' => 'NZD',
    'currency' => 'New Zealand Dollar',
    'minorUnit' => 2,
    'numericCode' => 554,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'CRC' =>
  array(
    'alphabeticCode' => 'CRC',
    'currency' => 'Costa Rican Colon',
    'minorUnit' => 2,
    'numericCode' => 188,
    'symbol' => '₡',
    'decimal' => ',',
    'currencyName' => 'Colon',
    'decimalCurrencyName' => 'Centimo',
  ),
  'HRK' =>
  array(
    'alphabeticCode' => 'HRK',
    'currency' => 'Kuna',
    'minorUnit' => 2,
    'numericCode' => 191,
    'symbol' => 'kn',
    'decimal' => ',',
    'currencyName' => 'Kuna',
    'decimalCurrencyName' => 'Lipa',
  ),
  'CUC' =>
  array(
    'alphabeticCode' => 'CUC',
    'currency' => 'Cuban Peso',
    'minorUnit' => 2,
    'numericCode' => 192,
    'symbol' => 'CUC$',
    'decimal' => ',',
    'currencyName' => 'Peso',
    'decimalCurrencyName' => 'Centavo',
  ),
  'ANG' =>
  array(
    'alphabeticCode' => 'ANG',
    'currency' => 'Netherlands Antillean Guilder',
    'minorUnit' => 2,
    'numericCode' => 532,
    'symbol' => 'NAƒ',
    'decimal' => '.',
    'currencyName' => 'Netherlands Antillean Guilder',
    'decimalCurrencyName' => 'Cent',
  ),
  'CZK' =>
  array(
    'alphabeticCode' => 'CZK',
    'currency' => 'Czech Koruna',
    'minorUnit' => 2,
    'numericCode' => 203,
    'symbol' => 'Kč',
    'decimal' => ',',
    'currencyName' => 'Czech Koruna',
    'decimalCurrencyName' => '',
  ),
  'DKK' =>
  array(
    'alphabeticCode' => 'DKK',
    'currency' => 'Danish Krone',
    'minorUnit' => 2,
    'numericCode' => 208,
    'symbol' => 'kr.',
    'decimal' => ',',
    'currencyName' => 'Krone',
    'decimalCurrencyName' => 'Ore',
  ),
  'DJF' =>
  array(
    'alphabeticCode' => 'DJF',
    'currency' => 'Djibouti Franc',
    'minorUnit' => 0,
    'numericCode' => 262,
    'symbol' => 'Fdj',
    'decimal' => '.',
    'currencyName' => 'Franc',
  ),
  'DOP' =>
  array(
    'alphabeticCode' => 'DOP',
    'currency' => 'Dominican Peso',
    'minorUnit' => 2,
    'numericCode' => 214,
    'symbol' => 'RD$',
    'decimal' => '.',
    'currencyName' => 'Peso',
    'decimalCurrencyName' => 'Centavo',
  ),
  'EGP' =>
  array(
    'alphabeticCode' => 'EGP',
    'currency' => 'Egyptian Pound',
    'minorUnit' => 2,
    'numericCode' => 818,
    'symbol' => 'E£',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Piastre',
  ),
  'SVC' =>
  array(
    'alphabeticCode' => 'SVC',
    'currency' => 'El Salvador Colon',
    'minorUnit' => 2,
    'numericCode' => 222,
    'symbol' => '₡',
    'decimal' => '.',
    'currencyName' => 'Colon',
    'decimalCurrencyName' => 'Centavo',
  ),
  'ERN' =>
  array(
    'alphabeticCode' => 'ERN',
    'currency' => 'Nakfa',
    'minorUnit' => 2,
    'numericCode' => 232,
    'symbol' => 'Nfk',
    'decimal' => '.',
    'currencyName' => 'Nakfa',
    'decimalCurrencyName' => 'Cent',
  ),
  'ETB' =>
  array(
    'alphabeticCode' => 'ETB',
    'currency' => 'Ethiopian Birr',
    'minorUnit' => 2,
    'numericCode' => 230,
    'symbol' => 'Br',
    'decimal' => '.',
    'currencyName' => 'Birr',
    'decimalCurrencyName' => 'Santim',
  ),
  'FKP' =>
  array(
    'alphabeticCode' => 'FKP',
    'currency' => 'Falkland Islands Pound',
    'minorUnit' => 2,
    'numericCode' => 238,
    'symbol' => 'FK£',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Penny',
  ),
  'FJD' =>
  array(
    'alphabeticCode' => 'FJD',
    'currency' => 'Fiji Dollar',
    'minorUnit' => 2,
    'numericCode' => 242,
    'symbol' => 'FJ$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'XPF' =>
  array(
    'alphabeticCode' => 'XPF',
    'currency' => 'CFP Franc',
    'minorUnit' => 0,
    'numericCode' => 953,
    'symbol' => 'F',
    'decimal' => '.',
    'currencyName' => 'CFP Franc',
  ),
  'GMD' =>
  array(
    'alphabeticCode' => 'GMD',
    'currency' => 'Dalasi',
    'minorUnit' => 2,
    'numericCode' => 270,
    'symbol' => 'D',
    'decimal' => '.',
    'currencyName' => 'Dalasi',
    'decimalCurrencyName' => 'Butut',
  ),
  'GEL' =>
  array(
    'alphabeticCode' => 'GEL',
    'currency' => 'Lari',
    'minorUnit' => 2,
    'numericCode' => 981,
    'symbol' => '₾',
    'decimal' => ',',
    'currencyName' => 'Lari',
    'decimalCurrencyName' => 'Tetri',
  ),
  'GHS' =>
  array(
    'alphabeticCode' => 'GHS',
    'currency' => 'Ghana Cedi',
    'minorUnit' => 2,
    'numericCode' => 936,
    'symbol' => '₵',
    'decimal' => '.',
    'currencyName' => 'Ghana Cedi',
    'decimalCurrencyName' => 'Pesewa',
  ),
  'GIP' =>
  array(
    'alphabeticCode' => 'GIP',
    'currency' => 'Gibraltar Pound',
    'minorUnit' => 2,
    'numericCode' => 292,
    'symbol' => '£',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Penny',
  ),
  'GTQ' =>
  array(
    'alphabeticCode' => 'GTQ',
    'currency' => 'Quetzal',
    'minorUnit' => 2,
    'numericCode' => 320,
    'symbol' => 'Q',
    'decimal' => '.',
    'currencyName' => 'Quetzal',
    'decimalCurrencyName' => 'Centavo',
  ),
  'GBP' =>
  array(
    'alphabeticCode' => 'GBP',
    'currency' => 'Pound Sterling',
    'minorUnit' => 2,
    'numericCode' => 826,
    'symbol' => '£',
    'decimal' => '.',
    'currencyName' => 'Pound Sterling',
    'decimalCurrencyName' => 'Penny',
  ),
  'GNF' =>
  array(
    'alphabeticCode' => 'GNF',
    'currency' => 'Guinean Franc',
    'minorUnit' => 0,
    'numericCode' => 324,
    'symbol' => 'FG',
    'decimal' => '.',
    'currencyName' => 'Guinean Franc',
  ),
  'GYD' =>
  array(
    'alphabeticCode' => 'GYD',
    'currency' => 'Guyana Dollar',
    'minorUnit' => 2,
    'numericCode' => 328,
    'symbol' => 'GY$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'HTG' =>
  array(
    'alphabeticCode' => 'HTG',
    'currency' => 'Gourde',
    'minorUnit' => 2,
    'numericCode' => 332,
    'symbol' => 'G',
    'decimal' => '.',
    'currencyName' => 'Gourde',
    'decimalCurrencyName' => 'Centime',
  ),
  'HNL' =>
  array(
    'alphabeticCode' => 'HNL',
    'currency' => 'Lempira',
    'minorUnit' => 2,
    'numericCode' => 340,
    'symbol' => 'L',
    'decimal' => '.',
    'currencyName' => 'Lempira',
    'decimalCurrencyName' => 'Centavo',
  ),
  'HKD' =>
  array(
    'alphabeticCode' => 'HKD',
    'currency' => 'Hong Kong Dollar',
    'minorUnit' => 2,
    'numericCode' => 344,
    'symbol' => 'HK$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'HUF' =>
  array(
    'alphabeticCode' => 'HUF',
    'currency' => 'Forint',
    'minorUnit' => 2,
    'numericCode' => 348,
    'symbol' => 'Ft',
    'decimal' => ',',
    'currencyName' => 'Forint',
    'decimalCurrencyName' => 'Filler',
  ),
  'ISK' =>
  array(
    'alphabeticCode' => 'ISK',
    'currency' => 'Iceland Krona',
    'minorUnit' => 0,
    'numericCode' => 352,
    'symbol' => 'kr',
    'decimal' => ',',
    'currencyName' => 'Iceland Krona',
  ),
  'IDR' =>
  array(
    'alphabeticCode' => 'IDR',
    'currency' => 'Rupiah',
    'minorUnit' => 2,
    'numericCode' => 360,
    'symbol' => 'Rp',
    'decimal' => ',',
    'currencyName' => 'Rupiah',
    'decimalCurrencyName' => 'Sen',
  ),
  'XDR' =>
  array(
    'alphabeticCode' => 'XDR',
    'currency' => 'SDR (Special Drawing Right)',
    'minorUnit' => 0,
    'numericCode' => 960,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'SDR',
  ),
  'IRR' =>
  array(
    'alphabeticCode' => 'IRR',
    'currency' => 'Iranian Rial',
    'minorUnit' => 2,
    'numericCode' => 364,
    'symbol' => 'Rl.',
    'decimal' => '.',
    'currencyName' => 'Rial',
    'decimalCurrencyName' => 'Dinar',
  ),
  'IQD' =>
  array(
    'alphabeticCode' => 'IQD',
    'currency' => 'Iraqi Dinar',
    'minorUnit' => 3,
    'numericCode' => 368,
    'symbol' => 'ID',
    'decimal' => '.',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Fils',
  ),
  'ILS' =>
  array(
    'alphabeticCode' => 'ILS',
    'currency' => 'New Israeli Sheqel',
    'minorUnit' => 2,
    'numericCode' => 376,
    'symbol' => '₪',
    'decimal' => '.',
    'currencyName' => 'Israeli Sheqel',
    'decimalCurrencyName' => '',
  ),
  'JMD' =>
  array(
    'alphabeticCode' => 'JMD',
    'currency' => 'Jamaican Dollar',
    'minorUnit' => 2,
    'numericCode' => 388,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'JPY' =>
  array(
    'alphabeticCode' => 'JPY',
    'currency' => 'Yen',
    'minorUnit' => 0,
    'numericCode' => 392,
    'symbol' => '¥',
    'decimal' => '.',
    'currencyName' => 'Yen',
  ),
  'JOD' =>
  array(
    'alphabeticCode' => 'JOD',
    'currency' => 'Jordanian Dinar',
    'minorUnit' => 3,
    'numericCode' => 400,
    'symbol' => 'JD',
    'decimal' => '.',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Piastre',
  ),
  'KZT' =>
  array(
    'alphabeticCode' => 'KZT',
    'currency' => 'Tenge',
    'minorUnit' => 2,
    'numericCode' => 398,
    'symbol' => ' ₸',
    'decimal' => ',',
    'currencyName' => 'Tenge',
    'decimalCurrencyName' => 'Tiin',
  ),
  'KES' =>
  array(
    'alphabeticCode' => 'KES',
    'currency' => 'Kenyan Shilling',
    'minorUnit' => 2,
    'numericCode' => 404,
    'symbol' => 'KSh',
    'decimal' => '.',
    'currencyName' => 'Kenyan Shilling',
    'decimalCurrencyName' => 'Cent',
  ),
  'KPW' =>
  array(
    'alphabeticCode' => 'KPW',
    'currency' => 'North Korean Won',
    'minorUnit' => 2,
    'numericCode' => 408,
    'symbol' => '₩',
    'decimal' => '.',
    'currencyName' => 'North Korean Won',
    'decimalCurrencyName' => 'Chon',
  ),
  'KRW' =>
  array(
    'alphabeticCode' => 'KRW',
    'currency' => 'Won',
    'minorUnit' => 0,
    'numericCode' => 410,
    'symbol' => '₩',
    'decimal' => '.',
    'currencyName' => 'Won',
  ),
  'KWD' =>
  array(
    'alphabeticCode' => 'KWD',
    'currency' => 'Kuwaiti Dinar',
    'minorUnit' => 3,
    'numericCode' => 414,
    'symbol' => 'K.D.',
    'decimal' => '.',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Fils',
  ),
  'KGS' =>
  array(
    'alphabeticCode' => 'KGS',
    'currency' => 'Som',
    'minorUnit' => 2,
    'numericCode' => 417,
    'symbol' => 'K.S.',
    'decimal' => ',',
    'currencyName' => 'Som',
    'decimalCurrencyName' => 'Tyiyn',
  ),
  'LAK' =>
  array(
    'alphabeticCode' => 'LAK',
    'currency' => 'Lao Kip',
    'minorUnit' => 2,
    'numericCode' => 418,
    'symbol' => '₭',
    'decimal' => '.',
    'currencyName' => 'Lao Kip',
    'decimalCurrencyName' => 'Att',
  ),
  'LBP' =>
  array(
    'alphabeticCode' => 'LBP',
    'currency' => 'Lebanese Pound',
    'minorUnit' => 2,
    'numericCode' => 422,
    'symbol' => 'L£',
    'decimal' => ',',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Piastre',
  ),
  'LSL' =>
  array(
    'alphabeticCode' => 'LSL',
    'currency' => 'Loti',
    'minorUnit' => 2,
    'numericCode' => 426,
    'symbol' => 'L',
    'decimal' => '.',
    'currencyName' => 'Loti',
    'decimalCurrencyName' => 'Sente',
  ),
  'ZAR' =>
  array(
    'alphabeticCode' => 'ZAR',
    'currency' => 'Rand',
    'minorUnit' => 2,
    'numericCode' => 710,
    'symbol' => 'R',
    'decimal' => ',',
    'currencyName' => 'Rand',
    'decimalCurrencyName' => 'Cent',
  ),
  'LRD' =>
  array(
    'alphabeticCode' => 'LRD',
    'currency' => 'Liberian Dollar',
    'minorUnit' => 2,
    'numericCode' => 430,
    'symbol' => 'L$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'LYD' =>
  array(
    'alphabeticCode' => 'LYD',
    'currency' => 'Libyan Dinar',
    'minorUnit' => 3,
    'numericCode' => 434,
    'symbol' => 'LD',
    'decimal' => '.',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Dirham',
  ),
  'CHF' =>
  array(
    'alphabeticCode' => 'CHF',
    'currency' => 'Swiss Franc',
    'minorUnit' => 2,
    'numericCode' => 756,
    'symbol' => 'SFr.',
    'decimal' => ',',
    'currencyName' => 'Franc',
    'decimalCurrencyName' => 'Rappen',
  ),
  'MOP' =>
  array(
    'alphabeticCode' => 'MOP',
    'currency' => 'Pataca',
    'minorUnit' => 2,
    'numericCode' => 446,
    'symbol' => 'MOP$',
    'decimal' => '.',
    'currencyName' => 'Pataca',
    'decimalCurrencyName' => 'Avo',
  ),
  'MKD' =>
  array(
    'alphabeticCode' => 'MKD',
    'currency' => 'Denar',
    'minorUnit' => 2,
    'numericCode' => 807,
    'symbol' => 'ден',
    'decimal' => ',',
    'currencyName' => 'Denar',
    'decimalCurrencyName' => 'Deni',
  ),
  'MGA' =>
  array(
    'alphabeticCode' => 'MGA',
    'currency' => 'Malagasy Ariary',
    'minorUnit' => 2,
    'numericCode' => 969,
    'symbol' => 'Ar',
    'decimal' => '.',
    'currencyName' => 'Ariary',
    'decimalCurrencyName' => 'Centimes',
  ),
  'MWK' =>
  array(
    'alphabeticCode' => 'MWK',
    'currency' => 'Malawi Kwacha',
    'minorUnit' => 2,
    'numericCode' => 454,
    'symbol' => 'MK',
    'decimal' => '.',
    'currencyName' => 'Malawi Kwacha',
    'decimalCurrencyName' => 'Tambala',
  ),
  'MYR' =>
  array(
    'alphabeticCode' => 'MYR',
    'currency' => 'Malaysian Ringgit',
    'minorUnit' => 2,
    'numericCode' => 458,
    'symbol' => 'RM',
    'decimal' => '.',
    'currencyName' => 'Ringgit',
    'decimalCurrencyName' => 'Sen',
  ),
  'MVR' =>
  array(
    'alphabeticCode' => 'MVR',
    'currency' => 'Rufiyaa',
    'minorUnit' => 2,
    'numericCode' => 462,
    'symbol' => 'Rf',
    'decimal' => '.',
    'currencyName' => 'Rufiyaa',
    'decimalCurrencyName' => 'Laari',
  ),
  'MRO' =>
  array(
    'alphabeticCode' => 'MRO',
    'currency' => 'Ouguiya',
    'minorUnit' => 2,
    'numericCode' => 478,
    'symbol' => 'UM',
    'decimal' => '.',
    'currencyName' => 'Ouguiya',
    'decimalCurrencyName' => 'Khoums',
  ),
  'MUR' =>
  array(
    'alphabeticCode' => 'MUR',
    'currency' => 'Mauritius Rupee',
    'minorUnit' => 2,
    'numericCode' => 480,
    'symbol' => 'Rs',
    'decimal' => '.',
    'currencyName' => 'Rupee',
    'decimalCurrencyName' => 'Cent',
  ),
  'XUA' =>
  array(
    'alphabeticCode' => 'XUA',
    'currency' => 'ADB Unit of Account',
    'minorUnit' => 0,
    'numericCode' => 965,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'ADB Unit of Account',
    'decimalCurrencyName' => '',
  ),
  'MXN' =>
  array(
    'alphabeticCode' => 'MXN',
    'currency' => 'Mexican Peso',
    'minorUnit' => 2,
    'numericCode' => 484,
    'symbol' => 'Mex$',
    'decimal' => '.',
    'currencyName' => 'Peso',
    'decimalCurrencyName' => 'Centavo',
  ),
  'MXV' =>
  array(
    'alphabeticCode' => 'MXV',
    'currency' => 'Mexican Unidad de Inversion (UDI)',
    'minorUnit' => 2,
    'numericCode' => 979,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Mexican Unidad de Inversion (UDI)',
    'decimalCurrencyName' => '',
  ),
  'MDL' =>
  array(
    'alphabeticCode' => 'MDL',
    'currency' => 'Moldovan Leu',
    'minorUnit' => 2,
    'numericCode' => 498,
    'symbol' => 'MDL',
    'decimal' => ',',
    'currencyName' => 'Leu',
    'decimalCurrencyName' => 'Ban',
  ),
  'MNT' =>
  array(
    'alphabeticCode' => 'MNT',
    'currency' => 'Tugrik',
    'minorUnit' => 2,
    'numericCode' => 496,
    'symbol' => '₮',
    'decimal' => '.',
    'currencyName' => 'Tugrik',
    'decimalCurrencyName' => 'Mongo',
  ),
  'MAD' =>
  array(
    'alphabeticCode' => 'MAD',
    'currency' => 'Moroccan Dirham',
    'minorUnit' => 2,
    'numericCode' => 504,
    'symbol' => 'Dh',
    'decimal' => ',',
    'currencyName' => 'Moroccan Dirham',
    'decimalCurrencyName' => 'Centime',
  ),
  'MZN' =>
  array(
    'alphabeticCode' => 'MZN',
    'currency' => 'Mozambique Metical',
    'minorUnit' => 2,
    'numericCode' => 943,
    'symbol' => 'MT',
    'decimal' => ',',
    'currencyName' => 'Metical',
    'decimalCurrencyName' => 'Centavo',
  ),
  'MMK' =>
  array(
    'alphabeticCode' => 'MMK',
    'currency' => 'Kyat',
    'minorUnit' => 2,
    'numericCode' => 104,
    'symbol' => 'K',
    'decimal' => '.',
    'currencyName' => 'Kyat',
    'decimalCurrencyName' => 'Pya',
  ),
  'NAD' =>
  array(
    'alphabeticCode' => 'NAD',
    'currency' => 'Namibia Dollar',
    'minorUnit' => 2,
    'numericCode' => 516,
    'symbol' => 'N$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'NPR' =>
  array(
    'alphabeticCode' => 'NPR',
    'currency' => 'Nepalese Rupee',
    'minorUnit' => 2,
    'numericCode' => 524,
    'symbol' => 'Rps',
    'decimal' => '.',
    'currencyName' => 'Rupee',
    'decimalCurrencyName' => 'Paise',
  ),
  'NIO' =>
  array(
    'alphabeticCode' => 'NIO',
    'currency' => 'Cordoba Oro',
    'minorUnit' => 2,
    'numericCode' => 558,
    'symbol' => 'C$',
    'decimal' => '.',
    'currencyName' => 'Cordoba Oro',
    'decimalCurrencyName' => 'Centavo',
  ),
  'NGN' =>
  array(
    'alphabeticCode' => 'NGN',
    'currency' => 'Naira',
    'minorUnit' => 2,
    'numericCode' => 566,
    'symbol' => '‎₦',
    'decimal' => '.',
    'currencyName' => 'Naira',
    'decimalCurrencyName' => 'Kobo',
  ),
  'OMR' =>
  array(
    'alphabeticCode' => 'OMR',
    'currency' => 'Rial Omani',
    'minorUnit' => 3,
    'numericCode' => 512,
    'symbol' => 'RO',
    'decimal' => '.',
    'currencyName' => 'Omani Rial',
    'decimalCurrencyName' => 'Baisa',
  ),
  'PKR' =>
  array(
    'alphabeticCode' => 'PKR',
    'currency' => 'Pakistan Rupee',
    'minorUnit' => 2,
    'numericCode' => 586,
    'symbol' => 'Re.',
    'decimal' => '.',
    'currencyName' => 'Rupee',
    'decimalCurrencyName' => 'Paise',
  ),
  'PAB' =>
  array(
    'alphabeticCode' => 'PAB',
    'currency' => 'Balboa',
    'minorUnit' => 2,
    'numericCode' => 590,
    'symbol' => 'B/.',
    'decimal' => '.',
    'currencyName' => 'Balboa',
    'decimalCurrencyName' => 'Centesimo',
  ),
  'PGK' =>
  array(
    'alphabeticCode' => 'PGK',
    'currency' => 'Kina',
    'minorUnit' => 2,
    'numericCode' => 598,
    'symbol' => 'K',
    'decimal' => '.',
    'currencyName' => 'Kina',
    'decimalCurrencyName' => 'Toea',
  ),
  'PYG' =>
  array(
    'alphabeticCode' => 'PYG',
    'currency' => 'Guarani',
    'minorUnit' => 0,
    'numericCode' => 600,
    'symbol' => '₲',
    'decimal' => '.',
    'currencyName' => 'Guarani',
  ),
  'PEN' =>
  array(
    'alphabeticCode' => 'PEN',
    'currency' => 'Sol',
    'minorUnit' => 2,
    'numericCode' => 604,
    'symbol' => 'S/.',
    'decimal' => '.',
    'currencyName' => 'Sol',
    'decimalCurrencyName' => 'Centimo',
  ),
  'PHP' =>
  array(
    'alphabeticCode' => 'PHP',
    'currency' => 'Philippine Peso',
    'minorUnit' => 2,
    'numericCode' => 608,
    'symbol' => '₱',
    'decimal' => '.',
    'currencyName' => 'Peso',
    'decimalCurrencyName' => 'Centavo',
  ),
  'PLN' =>
  array(
    'alphabeticCode' => 'PLN',
    'currency' => 'Zloty',
    'minorUnit' => 2,
    'numericCode' => 985,
    'symbol' => 'zł',
    'decimal' => ',',
    'currencyName' => 'Zloty',
    'decimalCurrencyName' => 'Grosz',
  ),
  'QAR' =>
  array(
    'alphabeticCode' => 'QAR',
    'currency' => 'Qatari Rial',
    'minorUnit' => 2,
    'numericCode' => 634,
    'symbol' => 'QR',
    'decimal' => '.',
    'currencyName' => 'Qatari Rial',
    'decimalCurrencyName' => 'Dirham',
  ),
  'RON' =>
  array(
    'alphabeticCode' => 'RON',
    'currency' => 'Romanian Leu',
    'minorUnit' => 2,
    'numericCode' => 946,
    'symbol' => 'RON',
    'decimal' => ',',
    'currencyName' => 'Leu',
    'decimalCurrencyName' => 'Ban',
  ),
  'RUB' =>
  array(
    'alphabeticCode' => 'RUB',
    'currency' => 'Russian Ruble',
    'minorUnit' => 2,
    'numericCode' => 643,
    'symbol' => '₽',
    'decimal' => ',',
    'currencyName' => 'Ruble',
    'decimalCurrencyName' => 'Kopek',
  ),
  'RWF' =>
  array(
    'alphabeticCode' => 'RWF',
    'currency' => 'Rwanda Franc',
    'minorUnit' => 0,
    'numericCode' => 646,
    'symbol' => 'FRw',
    'decimal' => '.',
    'currencyName' => 'Franc',
  ),
  'SHP' =>
  array(
    'alphabeticCode' => 'SHP',
    'currency' => 'Saint Helena Pound',
    'minorUnit' => 2,
    'numericCode' => 654,
    'symbol' => '£',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Penny',
  ),
  'WST' =>
  array(
    'alphabeticCode' => 'WST',
    'currency' => 'Tala',
    'minorUnit' => 2,
    'numericCode' => 882,
    'symbol' => 'WS$',
    'decimal' => '.',
    'currencyName' => 'Tala',
    'decimalCurrencyName' => 'Sene',
  ),
  'STD' =>
  array(
    'alphabeticCode' => 'STD',
    'currency' => 'Dobra',
    'minorUnit' => 2,
    'numericCode' => 678,
    'symbol' => 'Db',
    'decimal' => '.',
    'currencyName' => 'Dobra',
    'decimalCurrencyName' => 'Centimo',
  ),
  'SAR' =>
  array(
    'alphabeticCode' => 'SAR',
    'currency' => 'Saudi Riyal',
    'minorUnit' => 2,
    'numericCode' => 682,
    'symbol' => 'SR',
    'decimal' => '.',
    'currencyName' => 'Saudi Riyal',
    'decimalCurrencyName' => 'Halala',
  ),
  'RSD' =>
  array(
    'alphabeticCode' => 'RSD',
    'currency' => 'Serbian Dinar',
    'minorUnit' => 2,
    'numericCode' => 941,
    'symbol' => 'd./д.',
    'decimal' => ',',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Para',
  ),
  'SCR' =>
  array(
    'alphabeticCode' => 'SCR',
    'currency' => 'Seychelles Rupee',
    'minorUnit' => 2,
    'numericCode' => 690,
    'symbol' => 'SR',
    'decimal' => '.',
    'currencyName' => 'Rupee',
    'decimalCurrencyName' => 'Cent',
  ),
  'SLL' =>
  array(
    'alphabeticCode' => 'SLL',
    'currency' => 'Leone',
    'minorUnit' => 2,
    'numericCode' => 694,
    'symbol' => 'Le',
    'decimal' => '.',
    'currencyName' => 'Leone',
    'decimalCurrencyName' => 'Cent',
  ),
  'SGD' =>
  array(
    'alphabeticCode' => 'SGD',
    'currency' => 'Singapore Dollar',
    'minorUnit' => 2,
    'numericCode' => 702,
    'symbol' => 'S$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'XSU' =>
  array(
    'alphabeticCode' => 'XSU',
    'currency' => 'Sucre',
    'minorUnit' => 0,
    'numericCode' => 994,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Sucre',
  ),
  'SBD' =>
  array(
    'alphabeticCode' => 'SBD',
    'currency' => 'Solomon Islands Dollar',
    'minorUnit' => 2,
    'numericCode' => 90,
    'symbol' => 'SI$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'SOS' =>
  array(
    'alphabeticCode' => 'SOS',
    'currency' => 'Somali Shilling',
    'minorUnit' => 2,
    'numericCode' => 706,
    'symbol' => 'Sh.So.',
    'decimal' => '.',
    'currencyName' => 'Somali Shilling',
    'decimalCurrencyName' => 'Cent',
  ),
  'SSP' =>
  array(
    'alphabeticCode' => 'SSP',
    'currency' => 'South Sudanese Pound',
    'minorUnit' => 2,
    'numericCode' => 728,
    'symbol' => 'SSP',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Penny',
  ),
  'LKR' =>
  array(
    'alphabeticCode' => 'LKR',
    'currency' => 'Sri Lanka Rupee',
    'minorUnit' => 2,
    'numericCode' => 144,
    'symbol' => 'Rs',
    'decimal' => '.',
    'currencyName' => 'Rupee',
    'decimalCurrencyName' => 'Cent',
  ),
  'SDG' =>
  array(
    'alphabeticCode' => 'SDG',
    'currency' => 'Sudanese Pound',
    'minorUnit' => 2,
    'numericCode' => 938,
    'symbol' => 'ج.س',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Penny',
  ),
  'SRD' =>
  array(
    'alphabeticCode' => 'SRD',
    'currency' => 'Surinam Dollar',
    'minorUnit' => 2,
    'numericCode' => 968,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'SZL' =>
  array(
    'alphabeticCode' => 'SZL',
    'currency' => 'Lilangeni',
    'minorUnit' => 2,
    'numericCode' => 748,
    'symbol' => 'L',
    'decimal' => '.',
    'currencyName' => 'Lilangeni',
    'decimalCurrencyName' => 'Cent',
  ),
  'SEK' =>
  array(
    'alphabeticCode' => 'SEK',
    'currency' => 'Swedish Krona',
    'minorUnit' => 2,
    'numericCode' => 752,
    'symbol' => 'kr',
    'decimal' => ',',
    'currencyName' => 'Krona',
    'decimalCurrencyName' => 'Ore',
  ),
  'CHE' =>
  array(
    'alphabeticCode' => 'CHE',
    'currency' => 'WIR Euro',
    'minorUnit' => 2,
    'numericCode' => 947,
    'symbol' => '',
    'decimal' => '',
    'currencyName' => 'Euro',
    'decimalCurrencyName' => 'Cent',
  ),
  'CHW' =>
  array(
    'alphabeticCode' => 'CHW',
    'currency' => 'WIR Franc',
    'minorUnit' => 2,
    'numericCode' => 948,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Franc',
    'decimalCurrencyName' => 'Centimes',
  ),
  'SYP' =>
  array(
    'alphabeticCode' => 'SYP',
    'currency' => 'Syrian Pound',
    'minorUnit' => 2,
    'numericCode' => 760,
    'symbol' => '£S',
    'decimal' => '.',
    'currencyName' => 'Pound',
    'decimalCurrencyName' => 'Piastre',
  ),
  'TWD' =>
  array(
    'alphabeticCode' => 'TWD',
    'currency' => 'New Taiwan Dollar',
    'minorUnit' => 2,
    'numericCode' => 901,
    'symbol' => 'NT$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'TJS' =>
  array(
    'alphabeticCode' => 'TJS',
    'currency' => 'Somoni',
    'minorUnit' => 2,
    'numericCode' => 972,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Somoni',
    'decimalCurrencyName' => 'Diram',
  ),
  'TZS' =>
  array(
    'alphabeticCode' => 'TZS',
    'currency' => 'Tanzanian Shilling',
    'minorUnit' => 2,
    'numericCode' => 834,
    'symbol' => 'TSh',
    'decimal' => '.',
    'currencyName' => 'Tanzanian Shilling',
    'decimalCurrencyName' => 'Cent',
  ),
  'THB' =>
  array(
    'alphabeticCode' => 'THB',
    'currency' => 'Baht',
    'minorUnit' => 2,
    'numericCode' => 764,
    'symbol' => '฿',
    'decimal' => '.',
    'currencyName' => 'Baht',
    'decimalCurrencyName' => 'Satang',
  ),
  'TOP' =>
  array(
    'alphabeticCode' => 'TOP',
    'currency' => 'Pa’anga',
    'minorUnit' => 2,
    'numericCode' => 776,
    'symbol' => 'T$',
    'decimal' => '.',
    'currencyName' => 'Pa’anga',
    'decimalCurrencyName' => 'Seniti',
  ),
  'TTD' =>
  array(
    'alphabeticCode' => 'TTD',
    'currency' => 'Trinidad and Tobago Dollar',
    'minorUnit' => 2,
    'numericCode' => 780,
    'symbol' => 'TT$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'TND' =>
  array(
    'alphabeticCode' => 'TND',
    'currency' => 'Tunisian Dinar',
    'minorUnit' => 3,
    'numericCode' => 788,
    'symbol' => 'DT',
    'decimal' => ',',
    'currencyName' => 'Dinar',
    'decimalCurrencyName' => 'Millime',
  ),
  'TRY' =>
  array(
    'alphabeticCode' => 'TRY',
    'currency' => 'Turkish Lira',
    'minorUnit' => 2,
    'numericCode' => 949,
    'symbol' => '₺',
    'decimal' => ',',
    'currencyName' => 'Lira',
    'decimalCurrencyName' => 'Kurus',
  ),
  'TMT' =>
  array(
    'alphabeticCode' => 'TMT',
    'currency' => 'Turkmenistan New Manat',
    'minorUnit' => 2,
    'numericCode' => 934,
    'symbol' => 'T',
    'decimal' => '.',
    'currencyName' => 'Manat',
    'decimalCurrencyName' => 'Tennesi',
  ),
  'UGX' =>
  array(
    'alphabeticCode' => 'UGX',
    'currency' => 'Uganda Shilling',
    'minorUnit' => 0,
    'numericCode' => 800,
    'symbol' => 'USh',
    'decimal' => '.',
    'currencyName' => 'Uganda Shilling',
  ),
  'UAH' =>
  array(
    'alphabeticCode' => 'UAH',
    'currency' => 'Hryvnia',
    'minorUnit' => 2,
    'numericCode' => 980,
    'symbol' => '₴',
    'decimal' => '.',
    'currencyName' => 'Hryvnia',
    'decimalCurrencyName' => 'Kopiyka',
  ),
  'AED' =>
  array(
    'alphabeticCode' => 'AED',
    'currency' => 'UAE Dirham',
    'minorUnit' => 2,
    'numericCode' => 784,
    'symbol' => 'DH',
    'decimal' => '.',
    'currencyName' => 'UAE Dirham',
    'decimalCurrencyName' => 'Fils',
  ),
  'USN' =>
  array(
    'alphabeticCode' => 'USN',
    'currency' => 'US Dollar (Next day)',
    'minorUnit' => 2,
    'numericCode' => 997,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents'
  ),
  'UYU' =>
  array(
    'alphabeticCode' => 'UYU',
    'currency' => 'Peso Uruguayo',
    'minorUnit' => 2,
    'numericCode' => 858,
    'symbol' => '$U',
    'decimal' => ',',
    'currencyName' => 'Peso Uruguayo',
    'decimalCurrencyName' => 'Centesimo',
  ),
  'UYI' =>
  array(
    'alphabeticCode' => 'UYI',
    'currency' => 'Uruguay Peso en Unidades Indexadas (URUIURUI)',
    'minorUnit' => 0,
    'numericCode' => 940,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Uruguay Peso en Unidades Indexadas (URUIURUI)',
  ),
  'UZS' =>
  array(
    'alphabeticCode' => 'UZS',
    'currency' => 'Uzbekistan Sum',
    'minorUnit' => 2,
    'numericCode' => 860,
    'symbol' => 'U.S.',
    'decimal' => ',',
    'currencyName' => 'soʻm ',
    'decimalCurrencyName' => '',
  ),
  'VUV' =>
  array(
    'alphabeticCode' => 'VUV',
    'currency' => 'Vatu',
    'minorUnit' => 0,
    'numericCode' => 548,
    'symbol' => 'VT',
    'decimal' => '.',
    'currencyName' => 'Vatu',
  ),
  'VEF' =>
  array(
    'alphabeticCode' => 'VEF',
    'currency' => 'Bolívar',
    'minorUnit' => 2,
    'numericCode' => 937,
    'symbol' => 'Bs.',
    'decimal' => '.',
    'currencyName' => 'Bolívar',
    'decimalCurrencyName' => 'Centimo',
  ),
  'VND' =>
  array(
    'alphabeticCode' => 'VND',
    'currency' => 'Dong',
    'minorUnit' => 0,
    'numericCode' => 704,
    'symbol' => '₫',
    'decimal' => ',',
    'currencyName' => 'Dong',
  ),
  'YER' =>
  array(
    'alphabeticCode' => 'YER',
    'currency' => 'Yemeni Rial',
    'minorUnit' => 2,
    'numericCode' => 886,
    'symbol' => 'Rl',
    'decimal' => '.',
    'currencyName' => 'Yemeni Rial',
    'decimalCurrencyName' => '',
  ),
  'ZMW' =>
  array(
    'alphabeticCode' => 'ZMW',
    'currency' => 'Zambian Kwacha',
    'minorUnit' => 2,
    'numericCode' => 967,
    'symbol' => 'K',
    'decimal' => '.',
    'currencyName' => 'Kwacha',
    'decimalCurrencyName' => 'Ngwee',
  ),
  'ZWL' =>
  array(
    'alphabeticCode' => 'ZWL',
    'currency' => 'Zimbabwe Dollar',
    'minorUnit' => 2,
    'numericCode' => 932,
    'symbol' => '$',
    'decimal' => '.',
    'currencyName' => 'Dollar',
    'decimalCurrencyName' => 'Cents',
  ),
  'XBA' =>
  array(
    'alphabeticCode' => 'XBA',
    'currency' => 'Bond Markets Unit European Composite Unit (EURCO)',
    'minorUnit' => 0,
    'numericCode' => 955,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Bond Markets Unit European Composite Unit (EURCO)',
  ),
  'XBB' =>
  array(
    'alphabeticCode' => 'XBB',
    'currency' => 'Bond Markets Unit European Monetary Unit (E.M.U.-6)',
    'minorUnit' => 0,
    'numericCode' => 956,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Bond Markets Unit European Monetary Unit (E.M.U.-6)',
  ),
  'XBC' =>
  array(
    'alphabeticCode' => 'XBC',
    'currency' => 'Bond Markets Unit European Unit of Account 9 (E.U.A.-9)',
    'minorUnit' => 0,
    'numericCode' => 957,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Bond Markets Unit European Unit of Account 9 (E.U.A.-9)',
  ),
  'XBD' =>
  array(
    'alphabeticCode' => 'XBD',
    'currency' => 'Bond Markets Unit European Unit of Account 17 (E.U.A.-17)',
    'minorUnit' => 0,
    'numericCode' => 958,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Bond Markets Unit European Unit of Account 17 (E.U.A.-17)',
  ),
  'XTS' =>
  array(
    'alphabeticCode' => 'XTS',
    'currency' => 'Codes specifically reserved for testing purposes',
    'minorUnit' => 0,
    'numericCode' => 963,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'Codes specifically reserved for testing purposes',
  ),
  'XXX' =>
  array(
    'alphabeticCode' => 'XXX',
    'currency' => 'The codes assigned for transactions where no currency is involved',
    'minorUnit' => 0,
    'numericCode' => 999,
    'symbol' => '',
    'decimal' => '.',
    'currencyName' => 'The codes assigned for transactions where no currency is involved',
  ),
  'XAU' =>
  array(
    'alphabeticCode' => 'XAU',
    'currency' => 'Gold',
    'minorUnit' => 0,
    'numericCode' => 959,
    'symbol' => 'Au',
    'decimal' => '.',
    'currencyName' => 'Gold',
  ),
  'XPD' =>
  array(
    'alphabeticCode' => 'XPD',
    'currency' => 'Palladium',
    'minorUnit' => 0,
    'numericCode' => 964,
    'symbol' => 'Pd',
    'decimal' => '.',
    'currencyName' => 'Palladium',
  ),
  'XPT' =>
  array(
    'alphabeticCode' => 'XPT',
    'currency' => 'Platinum',
    'minorUnit' => 0,
    'numericCode' => 962,
    'symbol' => 'PT',
    'decimal' => '.',
    'currencyName' => 'Platinum',
  ),
  'XAG' =>
  array(
    'alphabeticCode' => 'XAG',
    'currency' => 'Silver',
    'minorUnit' => 0,
    'numericCode' => 961,
    'symbol' => 'Ag',
    'decimal' => '.',
    'currencyName' => 'Silver',
  ),
);
