<?php
/**
 * @version    SVN: <svn_id>
 * @package    JGive
 * @author     Techjoomla <extensions@techjoomla.com>
 * @copyright  Copyright (c) 2009-2017 TechJoomla. All rights reserved.
 * @license    GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die();

jimport('joomla.application.component.model');
JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_jgive/models/');

$mode = $params->get('mode', 'category', 'STRING');
$data = array();

// To check if single campaign to show is selected
if ($mode === 'campaign')
{
	$selectSingleCampaignToShow = $params->get('select_single_campaign_to_show', 0, 'INT');

	$campaignsModel = JModelLegacy::getInstance('campaigns', 'JgiveModel');
	$campaignsModel->setState('select_single_campaign_to_show', $selectSingleCampaignToShow);
	$campaignsModel->setState('list.limit', 1);
	$campaignsModel->setState('displayPins', 1);

	$data = $campaignsModel->getItems();
}
// To check if category wise campaign selection is selected
elseif ($mode === 'category')
{
	$categories      = $params->get('campaign_cat', array(), 'ARRAY');
	$campaignsLimit  = $params->get('no_of_camp_show', 0, 'INT');
	$campaignsSortBy = $params->get('campaigns_sort_by', 'start_date');
	$orderDirection  = $params->get('order_dir', 'ASC');
	$campaignsToShow = $params->get('campaigns_to_show', '', 'STRING');

	// A check to check if All category is selected in category selection
	if (in_array(0, $categories))
	{
		$categories = array(0);
	}

	foreach ($categories as $category)
	{
		$campaignsModel = JModelLegacy::getInstance('campaigns', 'JgiveModel');
		$campaignsModel->setState('list.limit', $campaignsLimit);
		$campaignsModel->setState('filter.category_id', $category);

		if ($campaignsToShow == 'featured')
		{
			$campaignsModel->setState('filter.featured', 1);
		}
		else
		{
			$campaignsModel->setState('filter.success_status', $campaignsToShow);
		}

		$campaignsModel->setState('list.ordering', $campaignsSortBy);
		$campaignsModel->setState('list.direction', $orderDirection);
		$campaignsModel->setState('displayPins', 1);

		$data = array_merge($data, $campaignsModel->getItems());
	}
}

require JModuleHelper::getLayoutPath('mod_jgive_campaigns_pin', 'default');
