<?php
/**
 * @version    SVN: <svn_id>
 * @package    JGive
 * @author     Techjoomla <extensions@techjoomla.com>
 * @copyright  Copyright (c) 2009-2015 TechJoomla. All rights reserved.
 * @license    GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.plugin.plugin');
jimport('joomla.filesystem.file');
jimport('joomla.application.component.model');
JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_jgive/models/');

$params = JComponentHelper::getParams('com_jgive');

// Load CSS resources.
$load_bootstrap = (int) $params->get('load_bootstrap');

if (!empty($load_bootstrap))
{
	JHtml::_('stylesheet', 'media/techjoomla_strapper/bs3/css/bootstrap.min.css');
}

$lang = JFactory::getLanguage();
$lang->load('plg_community_jgive', JPATH_ADMINISTRATOR);

// Load Campaigns helper
$helperPath = JPATH_SITE . '/components/com_jgive/helpers/campaign.php';

if (!class_exists('campaignHelper'))
{
	JLoader::register('campaignHelper', $helperPath);
	JLoader::load('campaignHelper');
}

/**
 * Campaign plgCommunityjgive class.
 *
 * @package  JGive
 * @since    1.8
 */
class PlgCommunityjgive extends CApplications
{
	/**
	 * Function onProfileDisplay
	 *
	 * @return  String
	 *
	 * @since   1.8
	 */
	public function onProfileDisplay()
	{
		// Payee user
		$user = CFactory::getRequestUser();

		return $this->_getHTML($user->id);
	}

	/**
	 * Function _getHTML
	 *
	 * @param   string  $user_id  User information
	 *
	 * @return  String  html
	 *
	 * @since   1.8
	 */
	public function _getHTML($user_id)
	{
		// Create instance of model class
		$campaignsModel = JModelLegacy::getInstance('campaigns', 'JgiveModel');
		$campaignsModel->setState('displayPins', 1);
		$campaignsModel->setState('filter.creator_id', $user_id);

		$totalCampaigns = count($campaignsModel->getItems());

		$limit = $this->params->get('count');
		$campaignsModel->setState('list.limit', $limit);
		$data = $campaignsModel->getItems();
		$result = '';

		if ($data)
		{
			// Load component css
			JHtml::_('stylesheet', 'media/com_jgive/css/jgive.css');
			JHtml::_('stylesheet', 'media/com_jgive/css/artificiers.min.css');
			JHtml::_('stylesheet', 'media/com_jgive/css/jgive_bs3.css');

			JLoader::import('tjstrapper', JPATH_SITE . '/media/techjoomla_strapper/');
			TjStrapper::loadTjAssets('com_jgive');
			$html = '';
			?>
			<style type="text/css">
				@media only screen and (min-width: 481px){
				.jgive_js_plg_pin_item { width: <?php echo $this->params->get('pin_width', '400') . 'px'; ?> !important;}
				}
			</style>
			<?php
			$html .= '<div class="tjBs3" id="jgiveWrapper">';

				foreach ($data as $displayData)
				{
					$html .= '<div class="col-sm-3 col-xs-12 jgive_js_plg_pin_item mb-20">';
					$layout = new JLayoutFile('pin', $basePath = JPATH_SITE . '/components/com_jgive/layouts/campaigns');
					$html .= $layout->render($displayData);
					$html .= '</div>';
				}

				// Show link if all campaigns are not shown
				if ($totalCampaigns && $totalCampaigns > $this->params->get('count'))
				{
					$viewmorelink = JUri::root() . substr(
						JRoute::_(
									'index.php?option=com_jgive&view=campaigns&layout=all&user_filter=' . $user_id . '&Itemid=' .
									$data['0']['otherData']['allCampaignsItemid']
								), strlen(JUri::base(true)) + 1
							);

						$html .= '<div class="col-sm-12"><a href="' . $viewmorelink . '">' .
						JText::_('PLG_JGIVE_VIEW_ALL_CAMPAIGNS_FROM_USER') . '(' . $totalCampaigns . ')' . '</a>
						</div>';
				}

			$html .= '</div>';

			$result = $html;
		}

		return $result;
	}
}
