<?php
/**
 * @package     JGive
 * @subpackage  jgive_camp
 *
 * @author      Techjoomla <extensions@techjoomla.com>
 * @copyright   Copyright (C) 2009 - 2018 Techjoomla. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Unauthorized Access');

ES::import('admin:/includes/apps/apps');

/**
 * EasySocial App to show campaings owned by user on profile page
 *
 * @since  1.0
 */
class SocialUserAppjGive_Camps extends SocialAppItem
{
	/**
	 * Constructor
	 *
	 * @param   array  $options  [description]
	 */
	public function __construct ($options = array())
	{
		// Load language file for plugin
		$lang = JFactory::getLanguage();
		$lang->load('plg_app_user_jgive_camps', JPATH_ADMINISTRATOR);

		$jGiveHelperPath = JPATH_SITE . '/components/com_jgive/helper.php';

		if (!class_exists('jgiveFrontendHelper'))
		{
			JLoader::register('jgiveFrontendHelper', $jGiveHelperPath);
			JLoader::load('jgiveFrontendHelper');
		}

		parent::__construct($options);
	}

	/**
	 * Prepares the stream item
	 *
	 * @param   SocialStreamItem  &$stream         The stream object.
	 * @param   bool              $includePrivacy  Determines if we should respect the privacy
	 *
	 * @return  Boolean
	 *
	 * @since   2.2.0
	 */
	public function onPrepareStream(SocialStreamItem &$stream , $includePrivacy = true)
	{
		// Since every stream item is triggered, we only want to process known context.
		if ($stream->context != 'jgive_camps')
		{
			return;
		}

		JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_jgive/models');
		$jgiveCampaignModel = JModelLegacy::getInstance('CampaignForm', 'JgiveModel');
		$campaign       = $jgiveCampaignModel->getItem((int) $stream->contextId);

		$jgiveFrontendHelper = new jgiveFrontendHelper;
		$singleCampaignItemid = $jgiveFrontendHelper->getItemId('index.php?option=com_jgive&view=campaigns&layout=all', 1);
		$act_link  = JUri::root() . substr(
											JRoute::_(
														'index.php?option=com_jgive&view=campaign&layout=default&id=' .
														$stream->contextId . '&Itemid=' . $singleCampaignItemid
													), strlen(JUri::base(true)) + 1
										);
		$campaign->url = $act_link;
		$this->set('actor', $stream->actor);
		$this->set('campaign', $campaign);
		$this->set('verb', $stream->verb);
		$this->set('content', $stream->content);

		// Set the title of the stream
		$stream->title = parent::display('streams/campaign.title');

		// We want to display the contents of the textbook
		$stream->content = parent::display('streams/campaign.content');
	}
}
