<?php
/**
 * @package     JGive
 * @subpackage  jgive_camp
 *
 * @author      Techjoomla <extensions@techjoomla.com>
 * @copyright   Copyright (C) 2009 - 2018 Techjoomla. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Unauthorized Access');

jimport('joomla.filesystem.file');
jimport('joomla.application.component.model');
JHtml::_('stylesheet', 'media/techjoomla_strapper/bs3/css/bootstrap.min.css');

// Get the data to idetify which field to show
$show_selected_fields = $jGiveParams->get('show_selected_fields');
$creatorfield = array();
$show_field = 0;
$goal_amount = 0;

if ($show_selected_fields)
{
	$creatorfield = $jGiveParams->get('creatorfield');

	if (isset($creatorfield))
	{
		foreach ($creatorfield as $tmp)
		{
			switch ($tmp)
			{
				case 'goal_amount':
					$goal_amount = 1;
				break;
			}
		}
	}
}
else
{
	$show_field = 1;
}?>
<div class="es-content">
	<?php
	if ($data)
	{
		// Load component css
		JHtml::_('stylesheet', 'media/com_jgive/css/jgive.css');
		JHtml::_('stylesheet', 'media/com_jgive/css/artificiers.min.css');
		JHtml::_('stylesheet', 'media/com_jgive/css/jgive_bs3.css');

		JLoader::import('tjstrapper', JPATH_SITE . '/media/techjoomla_strapper/');
		TjStrapper::loadTjAssets('com_jgive');
		?>
		<style type="text/css">
			@media only screen and (min-width: 481px){
			.jgive_es_app_pin_item { width: <?php echo $pinWidth . 'px'; ?> !important;}
			}
		</style>
		<div class="tjBs3" id="jgiveWrapper">
			<?php
			foreach ($data as $displayData)
			{
				?>
				<div class="col-sm-3 col-xs-12 jgive_es_app_pin_item mb-20">
					<?php
					$layout = new JLayoutFile('pin', $basePath = JPATH_SITE . '/components/com_jgive/layouts/campaigns');
					$html = $layout->render($displayData);
					echo $html;
					?>
				</div>
				<?php
			}

			// Show link if all campaigns are not shown
			if (($data) && ($totalCampaigns && $totalCampaigns > $limit))
			{
				?>
				<div class="col-sm-12">
					<a href="<?php echo JUri::root() . substr(
					JRoute::_('index.php?option=com_jgive&view=campaigns&layout=all&user_filter=' . $user->id . '&Itemid=' . $data[0]['otherData']['allCampaignsItemid']),
					strlen(JUri::base(true)) + 1
					);?>">
						<?php echo JText::_('APP_JGIVE_VIEW_ALL_CAMPAIGNS_FROM_USER');?>
						(<?php echo $totalCampaigns;?>)
					</a>
				</div>
				<?php
			}
			?>
		</div>
	<?php
	}
	else
	{
		?>
		<div class=" is-empty">
			<div class="o-empty  es-island">
				<div class="o-empty__content">
					<i class="o-empty__icon fa fa-bullhorn"></i>
					<div class="o-empty__text">
						<?php echo JText::_("APP_JGIVE_NO_CAMPAIGNS_ADDED_YET");?>
					</div>
				</div>
			</div>
		</div>
		<?php
	}
	?>
</div>
