<?php
/**
 * @package     JGive
 * @subpackage  jgive_camp
 *
 * @author      Techjoomla <extensions@techjoomla.com>
 * @copyright   Copyright (C) 2009 - 2018 Techjoomla. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Unauthorized Access');

/**
 * ES campaigns display app
 *
 * @since  2.2
 */
class JGive_CampsViewProfile extends SocialAppsView
{
	/**
	 * Displays the campaigns pin
	 *
	 * @param   INT     $userId   user id
	 *
	 * @param   STRING  $docType  doc type
	 *
	 * @since	2.2
	 *
	 * @return  null
	 */
	public function display($userId = null, $docType = null)
	{
		$appParams = $this->app->getParams();
		$jGiveParams = JComponentHelper::getParams('com_jgive');
		$limit    = $appParams->get('profile_no_of_camp');
		$pinWidth = $appParams->get('pin_width');
		$user = JFactory::getUser();

		// Get profile id
		$user = Foundry::user($user->id);

		$this->set('user', $user);
		$this->set('limit', $limit);
		$this->set('pinWidth', $pinWidth);
		$this->set('jGiveParams', $jGiveParams);

		// When loggdin user go through other user profile page then in "My Campaign" application should display other users campaigns
		$campaignPromoter = JFactory::getApplication()->input->get('id', 0, 'int');

		// Create instance of campaigns model class
		JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_jgive/models/');
		$campaignsModel = JModelLegacy::getInstance('campaigns', 'JgiveModel');
		$campaignsModel->setState('displayPins', 1);
		$campaignsModel->setState('filter.creator_id', $campaignPromoter);
		$totalCampaigns = count($campaignsModel->getItems());

		$campaignsModel->setState('list.limit', $limit);
		$data = $campaignsModel->getItems();

		$this->set('totalCampaigns', $totalCampaigns);
		$this->set('data', $data);

		echo parent::display('profile/default');
	}
}
